/*
 * Copyright (c) 2001 University of Bologna
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill;

/**
 *  Factory interface for <CODE>QuerySet</CODE> objects. This interface is used
 *  by anthill factories to create a <CODE>QuerySet</CODE> object to store
 *  queries issued but not yet completed.
 *
 *  @author Alberto Montresor
 *  @version $REVISION$
 */
public interface QuerySetFactory
{

  /**
   *  Factory method for <CODE>QuerySet</CODE> objects. 
   */
  public QuerySet getQuerySet();
  
} // END QuerySetFactory

